SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0001180: Generation of SSL Certificates in httpd init script pass invalid files for "rand" parameter - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001180Endian FirewallOther Scriptspublic2008-07-30 07:582008-10-08 13:30
Reporterraphael-endian 
Assigned Topeter-endian 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-rc2 
Target Version2.2-rc3Fixed in Version2.2-rc3 
Summary0001180: Generation of SSL Certificates in httpd init script pass invalid files for "rand" parameter
DescriptionIn /etc/init.d/httpd:
openssl genrsa -rand \
   /boot/vmlinuz:${BASEDIR}/ethernet/settings -out \
   /etc/httpd/server.key 1024 >/dev/null 2>&1

---

Beim Prüfen wann die Zertifikate für das Web-Frontend generiert werden, ist mir aufgefallen, dass in /etc/init.d/httpd eine nicht vorhandene Datei /boot/vmlinuz als Futter für die Zufallszahlen dient. Die zusätzlich verwendete ethernet/settings dürfte beim ersten Start auch nicht gerade sehr zufällig aussehen ...
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2008-07-30 07:58 raphael-endian New Issue
2008-07-30 08:00 raphael-endian Target Version => 2.2-rc3
2008-08-01 10:05 peter-endian Priority normal => urgent
2008-08-07 10:55 peter-endian Status new => assigned
2008-08-07 10:55 peter-endian Assigned To => peter-endian
2008-08-08 16:00 peter-endian Status assigned => resolved
2008-08-08 16:00 peter-endian Fixed in Version => 2.2-rc3
2008-08-08 16:00 peter-endian Resolution open => fixed
2008-10-08 13:30 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker